nxt.messaging

## Class PrunableMessageHome

- java.lang.Object
- - nxt.messaging.PrunableMessageHome

-     public final class PrunableMessageHome
      extends java.lang.Object

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `class` | `PrunableMessageHome.PrunableMessage`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `add(TransactionImpl transaction, PrunableEncryptedMessageAppendix appendix)`
    `void` | `add(TransactionImpl transaction, PrunableEncryptedMessageAppendix appendix, int blockTimestamp, int height)`
    `static PrunableMessageHome` | `forChain(Chain chain)`
    `DbIterator<PrunableMessageHome.PrunableMessage>` | `getAll(int from, int to)`
    `int` | `getCount()`
    `PrunableMessageHome.PrunableMessage` | `getPrunableMessage(byte[] transactionFullHash)`
    `DbIterator<PrunableMessageHome.PrunableMessage>` | `getPrunableMessages(long accountId, int from, int to)`
    `DbIterator<PrunableMessageHome.PrunableMessage>` | `getPrunableMessages(long accountId, long otherAccountId, int from, int to)`
    `boolean` | `isPruned(byte[] transactionFullHash, boolean hasPrunablePlainMessage, boolean hasPrunableEncryptedMessage)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### forChain

          public static PrunableMessageHome forChain(Chain chain)

    - #### getCount

          public int getCount()

    - #### getAll

          public DbIterator<PrunableMessageHome.PrunableMessage> getAll(int from,
                                                                        int to)

    - #### getPrunableMessage

          public PrunableMessageHome.PrunableMessage getPrunableMessage(byte[] transactionFullHash)

    - #### getPrunableMessages

          public DbIterator<PrunableMessageHome.PrunableMessage> getPrunableMessages(long accountId,
                                                                                     int from,
                                                                                     int to)

    - #### getPrunableMessages

          public DbIterator<PrunableMessageHome.PrunableMessage> getPrunableMessages(long accountId,
                                                                                     long otherAccountId,
                                                                                     int from,
                                                                                     int to)

    - #### add

          public void add(TransactionImpl transaction,
                          PrunableEncryptedMessageAppendix appendix)

    - #### add

          public void add(TransactionImpl transaction,
                          PrunableEncryptedMessageAppendix appendix,
                          int blockTimestamp,
                          int height)

    - #### isPruned

          public boolean isPruned(byte[] transactionFullHash,
                                  boolean hasPrunablePlainMessage,
                                  boolean hasPrunableEncryptedMessage)